/**
  *
  * Beschreibung.
  *
  * @version 1.0 vom 21.01.2006
  * @author claus albowski
  */

public class Zahl {
  int wert;
  public Zahl(String text) {
    try {
      wert=new Integer(text).intValue();
      if (wert<0) wert=-wert;
      if (wert>255) wert=wert%256;
    } catch (NumberFormatException e){
        wert=0;
    }
  }
  
  private String hexZiffer(int ziffer){
    if (ziffer<10) return ""+ziffer;
    else if (ziffer==10) return "a";
    else if (ziffer==11) return "b";
    else if (ziffer==12) return "c";
    else if (ziffer==13) return "d";
    else if (ziffer==14) return "e";
    else return "f";
  }
  
  public int gibDezimal(){
      return wert;
  }
  
  public String gibHexaDezimal(){
        return hexZiffer((int)wert/16)+hexZiffer((int)wert%16);
  }
}

